

require("luci.sys")

local devices = luci.sys.net.devices()


m = Map("luci_statistics",
	translate("Netlink Plugin Configuration"),
	translate(
		"The netlink plugin collects extended informations like " ..
		"qdisc-, class- and filter-statistics for selected interfaces."
	))
s = m:section( NamedSection, "collectd_netlink", "luci_statistics" )
enable = s:option( Flag, "enable", translate("Enable this plugin") )
enable.default = 0
interfaces = s:option( MultiValue, "Interfaces", translate("Basic monitoring") )
interfaces.widget   = "select"
interfaces.optional = true
interfaces.size     = #devices + 1
interfaces:depends( "enable", 1 )
interfaces:value("")
for i, v in ipairs(devices) do
	interfaces:value(v)
end
verboseinterfaces = s:option( MultiValue, "VerboseInterfaces", translate("Verbose monitoring") )
verboseinterfaces.widget   = "select"
verboseinterfaces.optional = true
verboseinterfaces.size     = #devices + 1
verboseinterfaces:depends( "enable", 1 )
verboseinterfaces:value("")
for i, v in ipairs(devices) do
	verboseinterfaces:value(v)
end
qdiscs = s:option( MultiValue, "QDiscs", translate("Qdisc monitoring") )
qdiscs.widget   = "select"
qdiscs.optional = true
qdiscs.size     = #devices + 1
qdiscs:depends( "enable", 1 )
qdiscs:value("")
for i, v in ipairs(devices) do
        qdiscs:value(v)
end
classes = s:option( MultiValue, "Classes", translate("Shaping class monitoring") )
classes.widget   = "select"
classes.optional = true
classes.size     = #devices + 1
classes:depends( "enable", 1 )
classes:value("")
for i, v in ipairs(devices) do
        classes:value(v)
end
filters = s:option( MultiValue, "Filters", translate("Filter class monitoring") )
filters.widget   = "select"
filters.optional = true
filters.size     = #devices + 1
filters:depends( "enable", 1 )
filters:value("")
for i, v in ipairs(devices) do
        filters:value(v)
end
ignoreselected = s:option( Flag, "IgnoreSelected", translate("Monitor all except specified") )
ignoreselected.default = 0
ignoreselected:depends( "enable", 1 )

return m
